/*
 * Copyright (C) 2006  Chris Rose
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

package com.aimedia.azjabber.config;

public interface IAzJabberOptionNames {

    final String OPT_PREFIX                         = "azjabber.";

    final String EVENT_OPT_PREFIX                   = OPT_PREFIX + "events.";

    final String LOGGING_DETAILED_PARAMETER         = OPT_PREFIX + "logging.detailed";

    final String EVENTS_TORRENT_COMPLETES_PARAMETER = EVENT_OPT_PREFIX + "torrent_completes";

    final String EVENTS_TORRENT_REMOVED_PARAMETER   = EVENT_OPT_PREFIX + "torrent_removed";

    final String EVENTS_TORRENT_START_PARAMETER     = EVENT_OPT_PREFIX + "torrent_start";

    final String EVENTS_TORRENT_ADDED_PARAMETER     = EVENT_OPT_PREFIX + "torrent_added";

    final String CLIENT_PASSWORD_PARAMETER          = OPT_PREFIX + "client.password";

    final String CLIENT_RESOURCE_PARAMETER          = OPT_PREFIX + "client.resource";

    final String CLIENT_USERNAME_PARAMETER          = OPT_PREFIX + "client.username";

    final String SERVICE_NAME_PARAMETER             = OPT_PREFIX + "service.name";

    final String SERVICE_PORT_PARAMETER             = OPT_PREFIX + "service.port";

    final String SERVICE_HOST_PARAMETER             = OPT_PREFIX + "service.host";
    
    final String EVENTS_FIRST_RUN                   = OPT_PREFIX + "first_run";

}
