package com.aimedia.azjabber.services;

import org.jivesoftware.smack.XMPPException;

import com.aimedia.azjabber.config.JabberConnectionParameters;

public interface ICommunicationServiceProvider {

    public void sendMessage (String to, String eventMessage);
    
    public void connect (JabberConnectionParameters connectionInformation) throws XMPPException;
    
    public void disconnect ();
    
    public boolean isConnected ();
    
    public boolean checkConnection ();
    
    public void addServiceConnectionEventListener (IServiceConnectionEventListener listener);
    
    public void removeServiceConnectionEventListener (IServiceConnectionEventListener listener);
}
